package com.ssj.bean.weixin.ydz.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2017年7月11日 上午11:47:39 
 * 类说明 
 */
@Entity
@Table(name = "ydz_result")
public class YdzResult extends BaseEntity{
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -7601119838095739435L;
	private Integer pone1; //积累测试得分
	private Integer pone2; //阅读测试选择所得gr值的和
	private Integer pone3;
	private Integer pone4;
	private String classnum;//年级
	private String timenum; //耗费时间
	private String b1;//积累测试多选答案
	private String b2; //未注释的暂时不用到
	private String b3; //
	private String b4; //
	private String b5; //
	private String b6; //
	private String b7; //
	private String b8; //
	private String c1; //c1=信息提取能力得分
	private String c2; //推断理解能力 得分
	private String c3; //整体感知能力 得分
	private String c4; //评价鉴赏能力 得分
	private String c5; //联结运用能力 得分
	
	/**
	 * 用户id
	 */
	private String userId;
	
	private String infoId;

	/**
	 * 创建时间
	 */
	
	private Date  createTime;
	
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Integer getPone1() {
		return pone1;
	}
	public void setPone1(Integer pone1) {
		this.pone1 = pone1;
	}
	public Integer getPone2() {
		return pone2;
	}
	public void setPone2(Integer pone2) {
		this.pone2 = pone2;
	}
	public Integer getPone3() {
		return pone3;
	}
	public void setPone3(Integer pone3) {
		this.pone3 = pone3;
	}
	public Integer getPone4() {
		return pone4;
	}
	public void setPone4(Integer pone4) {
		this.pone4 = pone4;
	}
	
	public String getClassnum() {
		return classnum;
	}
	public void setClassnum(String classnum) {
		this.classnum = classnum;
	}
	public String getTimenum() {
		return timenum;
	}
	public void setTimenum(String timenum) {
		this.timenum = timenum;
	}
	
	public String getB1() {
		return b1;
	}
	public void setB1(String b1) {
		this.b1 = b1;
	}
	public String getB2() {
		return b2;
	}
	public void setB2(String b2) {
		this.b2 = b2;
	}
	public String getB3() {
		return b3;
	}
	public void setB3(String b3) {
		this.b3 = b3;
	}
	public String getB4() {
		return b4;
	}
	public void setB4(String b4) {
		this.b4 = b4;
	}
	public String getB5() {
		return b5;
	}
	public void setB5(String b5) {
		this.b5 = b5;
	}
	public String getB6() {
		return b6;
	}
	public void setB6(String b6) {
		this.b6 = b6;
	}
	public String getB7() {
		return b7;
	}
	public void setB7(String b7) {
		this.b7 = b7;
	}
	public String getB8() {
		return b8;
	}
	public void setB8(String b8) {
		this.b8 = b8;
	}
	public String getC1() {
		return c1;
	}
	public void setC1(String c1) {
		this.c1 = c1;
	}
	public String getC2() {
		return c2;
	}
	public void setC2(String c2) {
		this.c2 = c2;
	}
	public String getC3() {
		return c3;
	}
	public void setC3(String c3) {
		this.c3 = c3;
	}
	public String getC4() {
		return c4;
	}
	public void setC4(String c4) {
		this.c4 = c4;
	}
	public String getC5() {
		return c5;
	}
	public void setC5(String c5) {
		this.c5 = c5;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getInfoId() {
		return infoId;
	}
	public void setInfoId(String infoId) {
		this.infoId = infoId;
	}
	
	
	
	
	
}
